Identify Event

Post identify event to Simon Data. See Event Details and Descriptions for more detail.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

A call to identify establishes the identity associated with a userId. The variable userId is a user identifier that you specify. identify can be called to pass information when a source of identity is recognized, such as an authenticated login, a click from an email with an identity URL parameter, and signup for newsletter subscription. Different types of identifiers can be passed on.

Calling identify does not automatically establish identity for all subsequent track events. Include traits within the track calls to accomplish this.

When a user registers with you for the first time, you should call identify and also make a separate call to registration.

🚧

A note on userId

The userId is intended to be your custom user identifier, e.g. a primary key on your production users table. However, despite being a positional parameter in the identify call, it is not required. If you don't have a userId or don't want to pass one, set the first positional parameter to an empty string.

Do not replace userId with e.g. an email address as this can cause undesirable consequences in identity management downstream.

Production Server

Use the form below and try it editor on the right to test your code with either the development or the staging server.

To send live calls, replace the url with the correct Production server endpoint:

https://simonsignal.com/http/v1/collect
Body Params
string
enum
required

The high level type of request being sent in can be either track or identify.

Allowed:
string
required

Custom user identifier

traits
object
required
string
required

The internal partnerId Simon uses to identify the customer's site.

context
object
required

A dictionary containing optional fields about the context of the event.

string
required

A unique identifier for the device. If no unique identifier for the device can be maintained this may be a unique identifier for the current session (max length: 45 characters).

string
required

The shared secret used for authentication.

string

The public IP address of the users device if available.

integer
required

Epoch time in milliseconds of when the request was sent. Epoch time is the number of milliseconds that have elapsed since January 1, 1970 (midnight UTC/GMT).

integer

The time difference between UTC time and local time, in minutes. See https://www.w3schools.com/jsref/jsref_gettimezoneoffset.asp for an example.

Responses
200

Success (Returns no JSON)

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json